package com.platform.service;

import java.util.List;
import java.util.Map;

import com.platform.entities.MyFilesEntity;

public interface IScriptMakeService {
	
	public int makeCfg() throws Exception;
	
	public int makeXml() throws Exception;
	
	public int moveFiles(List<MyFilesEntity> file) throws Exception;
	
	public List<MyFilesEntity> FindAllFiles() throws Exception;
	
	public Map<String, Object> readSql(String name, MyFilesEntity form);
	
	/**
	 * @param type 那种脚本（3种脚本之一）
	 * @param opt 那种操作
	 * @param content 内容
	 * @param form 当前是那个系统
	 * @return
	 */
	public Map<String, Object> handleSqlFile(String type, String opt, String content, MyFilesEntity form);
	
}
